import React from 'react';
export declare const tuple: <T extends string[]>(...args: T) => T;
declare const FileTreeValueType: ["directory", "file"];
export type TreeFile = {
    type: (typeof FileTreeValueType)[number];
    name: string;
    extra?: string;
    files?: Array<TreeFile>;
};
interface Props {
    tree?: TreeFile[];
    initialExpand?: boolean;
    onClick?: (path: string) => void;
    className?: string;
    initialExpandDepth?: number;
}
type NativeAttrs = Omit<React.HTMLAttributes<any>, keyof Props>;
export type TreeProps = Props & NativeAttrs;
declare const Tree: React.FC<React.PropsWithChildren<TreeProps>>;
export default Tree;
